### Method

# Camel StoreDB read_messages

since: 3.58

#### Declaration [src]

    gboolean
    camel_store_db_read_messages (
      CamelStoreDB* self,
      const gchar* folder_name,
      CamelStoreDBReadMessagesFunc func,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Reads information about all messages for the folder `folder_name` and calls the `func` with its `user_data` for each such message information.

See also camel_store_db_read_message().

Available since: 3.58

#### Parameters

`folder_name`

  Type: `const gchar*`

  A folder name to read the data from.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`func`

  Type: `CamelStoreDBReadMessagesFunc`

  A `CamelStoreDBReadMessagesFunc` to be called.

`user_data`

  Type: `gpointer`

  User data for the `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.